[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: (ITS#5227) old dsn acceptance

Howard Chu wrote:

> Ah, ok. So, do you think we need to integrate this patch?

Do you mean: in 2.3?  It might be a good idea in case we want all
versions to be completely interoperable.  Otherwise, as the code is now,
2.4 tolerates 2.3 (and 2.2, AFAIK), while 2.2 and 2.3 do not tolerate
2.4 (or, which is worse, tolerate but don't understand 2.4: issues could
arise when comparing CSNs generated by different versions, which only
2.4 correctly handles by normalizing to its form).  Eventually, this
could be a problem as soon as someone tries to use 2.4 as master and 2.3
as slave.


Ing. Pierangelo Masarati
OpenLDAP Core Team

SysNet s.r.l.
via Dossi, 8 - 27100 Pavia - ITALIA
Office:  +39 02 23998309
Mobile:  +39 333 4963172
Email:   pierangelo.masarati@sys-net.it